$color__primary--apollo: #4F49B2;
$color__secondary--apollo: #FF7789;
$color__alternative--apollo: #9697DC;

#header {
    .wrap {
        max-width: 1400px;
        padding-left: 40px;
        padding-right: 40px;
    }
}

#apollo__main-banner {
    padding-bottom: 40px;

    .banner-text {
        padding: 8% 0 6% 0;

        .banner-preline {
            color: $color__primary--apollo;
            font-size: 1rem;
            letter-spacing: 2px;
            text-transform: uppercase;
        }

        .banner-title {
            font-size: 4rem;
            line-height: 1.25;
        }

        .banner-desc {
            color: $color__titles;
            font-size: 1.25rem;
            margin: 20px 0;
        }
    }

    .banner-image {
        display: block;
        margin: 0 auto;
        max-width: 800px;
        position: relative;
        width: 80%;

        .banner--image__app {
            left: 50%;
            margin-left: -62%;
            position: absolute;
            top: 45%;
            width: 40%;
            z-index: 200;

            &.booking {
                margin-left: -66%;
                margin-top: -7%;
            }

            &.pms {
                margin-left: -70%;
                margin-top: 7%;
            }
        }

        .banner--image__checkout {
            right: 50%;
            margin-right: -61%;
            position: absolute;
            top: 20%;
            z-index: 200;
            width: 22%;
        }
    }
}

#sections {
    .item.two {
        background: transparent;
    }
}

#apollo__covid {
    margin-top: 60px;
    padding: 0 20px;

    .apollo__covid--cta {
        background: $color__primary--apollo;
        border-radius: 12px;
        border: 1px solid rgba($color__alternative--apollo, 0.5);
        padding: 8% 0;
        position: relative;
        overflow: hidden;

        .row {
            position: relative;
            z-index: 10;
        }

        h2 {
            line-height: 1.375;
        }

        .bg {
            background: no-repeat center center;
            background-size: cover;
            height: 100%;
            left: 0;
            opacity: 0.1;
            position: absolute;
            top: 0;
            width: 100%;
        }
    }
}

#apollo__howitworks {
    margin-top: 60px;

    .howitworks--steps {
        display: block;
        margin-top: 80px;
        position: relative;

        &::before {
            background: $color__alternative--apollo;
            content: '';
            height: 100%;
            left: 20px;
            position: absolute;
            top: -10px;
            width: 1px;
        }

        .howitworks--step {
            display: block;
            margin: 60px 0;
            padding-left: 70px;
            position: relative;

            .number {
                display: block;
                background: $color__alternative--apollo;
                border-radius: 50%;
                color: white;
                height: 40px;
                left: 0;
                line-height: 40px;
                position: absolute;
                top: 0;
                text-align: center;
                width: 40px;
            }
        }
    }
}

#apollo__start--cta {
    background: $color__titles;
    margin-top: 100px;

    .apollo__start--cta {
        background: $color__grey;
        padding: 8% 80px;
        border-radius: 12px;
        margin-bottom: 40px;

        i {
            background: $color__primary--apollo;
            border-radius: 8px;
            color: white;
            display: block;
            height: 40px;
            line-height: 40px;
            margin: -30px 0 12px 0;
            text-align: center;
            width: 40px;
        }
    }

    .illus {
        display: block;
        margin: -16% auto 40px auto;
        max-width: 500px;
        width: 70%;
    }

    p {
        font-size: 1.25rem;
    }

    .btn {
        background: $color__primary--apollo;
        border-radius: 40px;
        color: white;
        font-size: 1.125rem;
        padding: 16px 36px;
        margin: 20px auto;
    }

    .card {
        background: white;
        color: $color__titles;
    }
}

body {
    transition-duration: 0.3s;
}

body.darkMode {
    background: $color__primary--apollo;
    display: block;

    #sections {
        color: white;

        h2,
        h4 {
            color: white;
        }

        .text-color__utilitary,
        .icon {
            color: $color__alternative--apollo;
        }

        .item.two {
            background: rgba($color__alternative--apollo, 0.2);
        }
    }

    #apollo__howitworks .howitworks--steps .howitworks--step {
        h3 {
            color: white;
        }
    }

    #apollo__start--cta {
        background: transparent;

        .apollo__start--cta {
            color: $color__text;

            h2 {
                color: $color__titles;
            }

            .card {
                background: white;
                color: $color__text;
            }
        }

        .text-color__titles {
            color: $color__titles;
        }
    }

    #footer {
        background: rgba($color__titles, 0.7);
        margin-top: 0;
        padding-top: 50px;

        * { color: white; }

        a {
            color: $color__alternative--apollo;
        }

        hr {
            background: rgba($color__alternative--apollo, 0.1);
        }

        .social {
            .label {
                color: white;
            }

            a {
                background: rgba($color__alternative--apollo, 0.1);
            }
        }
    }
}

@include media_query_inverse(990px) {
    #apollo__main-banner .banner-text .banner-title {
        font-size: 3rem;
    }

    #apollo__covid {
        margin: 20px 0;
    }

    #apollo__covid .apollo__covid--cta {
        border: 0;
        border-bottom: 1px solid rgba($color__alternative--apollo, 0.2);
        border-top: 1px solid rgba($color__alternative--apollo, 0.2);
        margin: 0;
        padding: 40px;
    }

    #apollo__covid .apollo__covid--cta .bg {
        display: none;
    }
}

@include media_query_inverse(768px) {
    #apollo__main-banner .banner-text .banner-title {
        font-size: 2.25rem;
        letter-spacing: 0;
        margin: 0 auto;
        max-width: 600px;
        width: 100%;
    }

    #apollo__start--cta .apollo__start--cta {
        padding: 8% 40px;
    }

    .sections--title {
        font-size: 1.25rem;
    }

    #sections {
        margin-top: 0;
    }
}

@include media_query_inverse(550px) {
    #apollo__main-banner .banner-text .banner-preline {
        font-size: 0.75rem;
    }

    #apollo__main-banner .banner-text .banner-title {
        font-size: 2rem;
    }

    #apollo__main-banner .banner-text .banner-desc {
        font-size: 1rem;
    }

    body.darkMode #apollo__howitworks .howitworks--steps .howitworks--step h3 {
        font-size: 1.125rem;
    }

    #apollo__start--cta .apollo__start--cta {
        padding: 8% 20px;
    }

    #apollo__start--cta p {
        font-size: 1rem;
    }
}